Subject: RE: unsatisfied external
From: [email-masked] (Kevin Hughes)

26 Nov 1997 19:58:24 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 8bit
To: "Gnuwin95 (E-mail)" <[email-masked]>

-----Original Message-----
From:	Kevin Hughes [SMTP:[email-masked]]
Sent:	Tuesday, November 25, 1997 4:42 PM
To:	Gnuwin95 (E-mail)
Subject:	unsatisfied external

I  have struggled to get a very large system compiled with the gnuwin32 system [silly unix porting type problems] and now find I  cannot link it -m it complains about __bb_init_func.
This means nothing to mea and does not appear anywhere in my code or the libs I can see the system picks up.

Anyone ever heard of this?

Kevin

After a number of recompiles and vain searches and a reinstallation of the system I have eventually managed to build the system and link it. I had isolated the bb_init_func problem to be something to do with functions  which used bool (defined to boolean) but was unable to get any further. However the system bo build and links.

I have struggled to get the executable to run. I kep getting invalid exe format - error 193 from gdb which had called CreateProcess. All the tools I had said it was great. I considered the file being too big - it is 6.3M but the cdk is 13M. Anyway I striped it and bingo it ran

Is there any known problems with the size of executables or with executables which have debugging information? I am not really happy with being unable to debug the code as I am certin there are problems to be found with the port to NT.

Thanks in anticipation

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".